if_else.hpp File Reference
`#include <boost/math/tools/promotion.hpp>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename T_true , typename T_false >
boost::math::tools::promote_args< T_true, T_false >::type | stan::math::if_else (const bool c, const T_true y_true, const T_false y_false)
| Return the second argument if the first argument is true and otherwise return the second argument. More...

[ Stan Home Page ] © 2011–2016, Stan Development Team.